Number Verification V1

phoneNumberVerifyV1

Verifies whether the phone number provided matches the number currently allocated to the SIM in the end user’s device. Returns a boolean result in devicePhoneNumberVerified.

post
https://api.pxg.konera.com/camara/api/number-verification/v1/verify

Headers

x-correlation-idstring

Correlation ID for request tracing

Example:b4333c46-49c0-4f62-80d7-f0ef930f1c46

Body

application/json

PhoneNumberVerifyRequest

phoneNumberstringrequired

MSISDN in E.164 format entered by the end user

Example:+919036499174

Response

application/json

OK

NumberVerificationResult

devicePhoneNumberVerifiedbooleanrequired

Indicates whether the provided MSISDN matches the phone number of the device/SIM on the network

Example:true

assessedAtstring | null(date-time)

Timestamp when verification was performed

post/api/number-verification/v1/verify

Body

{ "phoneNumber": "+919036499174" }
 
application/json

PhoneNumberVerifyRequest

object
phoneNumberstringrequired

MSISDN in E.164 format entered by the end user

Example:+919036499174

Example

NumberVerificationResult

object
devicePhoneNumberVerifiedbooleanrequired

Indicates whether the provided MSISDN matches the phone number of the device/SIM on the network

Example:true

assessedAtstring(date-time)

Timestamp when verification was performed

Example

TokenRequest

object
grant_typestringrequired

Allowed values:authorization_code

Example:authorization_code

codestringrequired

Authorization code received from authorize endpoint

redirect_uristring(uri)required

Must match the redirect URI used in the authorize request

client_idstringrequired

Client identifier

client_secretstringrequired

Client secret

Example

TokenResponse

object
access_tokenstringrequired

Access token for API calls

token_typestringrequired

Allowed values:Bearer

Example:Bearer

expires_inintegerrequired

Token expiration time in seconds

Example:3600

scopestringrequired

Granted scopes

Example:openid number-verification:verify

refresh_tokenstring

Refresh token if offline_access was requested

id_tokenstring

OpenID Connect ID token if openid scope was requested

Example